/*
   POV-Ray lightmapping helper - Jaime Vives Piqueres, 2011
   --
   File generated by prepare_baking.jar

   This file holds all the control switches which need editing
   depending on the baking step.
*/

// ===========================================================
// baking control
// ===========================================================
#ifndef(use_baking)
  #declare use_baking=2; // 1=bake lightmaps, 2=load lightmaps back as textures, 0=don't bake, just test
#end
#declare lightmap_exposure=1; // exposure control for the lightmaps

// ===========================================================
// custom scene control: add here your scene switches for lights or camera if you like
// ===========================================================
#declare use_area=1;
#declare use_fblur=0;

// ===========================================================
// global settings
// ===========================================================
global_settings {
 assumed_gamma 1.0
 max_trace_level 7
 #if (use_baking<2)
 #include "rad_def.inc"
  radiosity{
    Rad_Settings(Radiosity_IndoorHQ, off, off) 
  }
 #end
}

// ===========================================================
// default finish for all textures:
// ===========================================================
#if (use_baking<2)
#default{texture{finish{ambient 0 emission 0 diffuse 1}}}
#else
#default{texture{finish{ambient 0 emission 1 diffuse 0}}}
#end

// ===========================================================
// macros to create baked textures using lightmaps
// ===========================================================
#include "baked_tools.inc"
